For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETGet all configured articles
        • POSTCreate a new article
        • DELRemove an article
        • PATCHUpdate an article
        • GETGet available products for order
        • GETGet list of orders
        • POSTSubmit order with scale priced products
        • POSTPre-calculate order total
        • GETGet a single order
        • DELCancel order
        • PATCHUpdate order fields
        • GETView the invoice of an order
        • GETList shipping providers for tracking orders
LogoLogo
Request featuresContact support
API ReferenceSim Order Management

Remove an article

Deprecated
DELETE
https://cdn.emnify.net/api/v1/article/stock
DELETE
/api/v1/article/stock
$curl -X DELETE https://cdn.emnify.net/api/v1/article/stock \
> -H "Authorization: Bearer <token>"
1{}

This will do a soft delete by setting the article status to 2 = DELETED when the article is already referenced in an order item or a hard delete if no references to this article exist.

Was this page helpful?
Previous

Create a new article

Next

Update an article

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Response

Response to a successful GET, also used for a POST if it does not result in a creation

Errors

403
Forbidden Error
404
Not Found Error